=== debian/changelog ===
pemmican (1.0.3-0ubuntu2) questing; urgency=medium

  * d/p/lp2120731-fix-reset-launch.patch: Do not prevent applications from
    launching under GNOME when warning is displayed (LP: #2120731)
  * d/p/lp2124182-no-gdm-launch.patch: Do not launch daemons under GDM
    (LP: #2124182)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 18 Sep 2025 12:26:27 +0100

pemmican (1.0.3-0ubuntu1) noble; urgency=medium

  * Fixed binary executed for pemmican-monitor.service (LP: #2056553)
  * Added all the bits necessary for translations

 -- Dave Jones <dave.jones@canonical.com>  Fri, 08 Mar 2024 13:31:29 +0000

pemmican (1.0.2-0ubuntu1) noble; urgency=medium

  * New upstream release; re-licenses under GPL3
  * d/watch: fix file regex

 -- Dave Jones <dave.jones@canonical.com>  Fri, 23 Feb 2024 16:06:18 +0000

pemmican (1.0.1-0ubuntu1) noble; urgency=medium

  * Initial release (LP: #2054344)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 18 Feb 2024 21:32:10 +0000
