=== debian/control ===
Source: pemmican
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
Uploaders:
 Dave Jones <dave.jones@canonical.com>
Homepage: https://pemmican.readthedocs.io/
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-doc,
 python3-gi,
 python3-pyudev,
 python3-dbus,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-pytest,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/pemmican.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pemmican
Rules-Requires-Root: no

Package: pemmican-common
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Notify users of Raspberry Pi 5 power issues
 pemmican is a trivial service which notifies users of issues reported by the
 Raspberry Pi 5 PMIC (Power Management IC). Specifically, reset due to
 undervolt, runtime undervolt, overcurrent in USB peripherals, and failure to
 negotiate a 5A supply are all reportable issues.
 .
 This is the package containing the Python implementation. You likely want
 to install either pemmican-server or pemmican-desktop to install the service
 definitions.

Package: pemmican-server
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 pemmican-common,
Description: Notify users of Raspberry Pi 5 power issues via update-motd
 pemmican is a trivial service which notifies users of issues reported by the
 Raspberry Pi 5 PMIC (Power Management IC). Specifically, reset due to
 undervolt, runtime undervolt, overcurrent in USB peripherals, and failure to
 negotiate a 5A supply are all reportable issues.
 .
 This package installs the man:update-motd(5) hook to run man:pemmican-cli(1)
 on server installations.

Package: pemmican-desktop
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 pemmican-common,
 python3-pyudev,
 python3-dbus,
 python3-gi,
Description: Notify users of Raspberry Pi 5 power issues via freedesktop notifications
 pemmican is a trivial service which notifies users of issues reported by the
 Raspberry Pi 5 PMIC (Power Management IC). Specifically, reset due to
 undervolt, runtime undervolt, overcurrent in USB peripherals, and failure to
 negotiate a 5A supply are all reportable issues.
 .
 This package installs the user services to launch man:pemmican-reset(1) and
 man:pemmican-mon(1) as part of the graphical session.

Package: pemmican-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for the pemmican utility
 pemmican is a trivial service which notifies users of issues reported by the
 Raspberry Pi 5 PMIC (Power Management IC). Specifically, reset due to
 undervolt, runtime undervolt, overcurrent in USB peripherals, and failure to
 negotiate a 5A supply are all reportable issues.
 .
 This is the documentation package for pemmican.
