=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_DESTDIR=debian/pemmican-common

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py sdist
endif
	dh_auto_test

override_dh_auto_build:
	dh_auto_build
	# Update translations
	make mo
	# Build HTML docs (for -doc package), and manpages (for bin packages)
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man

override_dh_auto_install:
	dh_auto_install
	# Move the binaries into their respective packages
	mkdir -p debian/pemmican-server/usr/bin
	mkdir -p debian/pemmican-desktop/usr/bin
	mv debian/pemmican-common/usr/bin/pemmican-cli debian/pemmican-server/usr/bin/
	mv debian/pemmican-common/usr/bin/pemmican-mon debian/pemmican-desktop/usr/bin/
	mv debian/pemmican-common/usr/bin/pemmican-reset debian/pemmican-desktop/usr/bin/

override_dh_installsystemduser:
	dh_installsystemduser -ppemmican-desktop pemmican-reset.service pemmican-monitor.service

override_dh_installdocs:
	dh_installdocs -ppemmican-doc --doc-main-package=pemmican-common
	dh_installdocs -ppemmican-common
	dh_installdocs -ppemmican-server
	dh_installdocs -ppemmican-desktop
