=== debian/tests/control ===
Test-Command: pytest-3 -rsx --tb=short tests/
Depends: pemmican-common, python3-pytest, python3-gi, python3-pyudev, python3-dbus
